WordPress.org

Ready to get started?Download WordPress

Forums

Facebook Comments for WordPress
Cant activate Version 2.1.1 (8 posts)

  1. halluzineyt
    Member
    Posted 3 years ago #

    I cant seem to activate version Version 2.1.1 it can be upgraded but after that i cant activate the plugin anymore.

    http://wordpress.org/extend/plugins/facebook-comments-for-wordpress/

  2. Graham Swan
    Member
    Plugin Author

    Posted 3 years ago #

    Is it giving you an error about needing to upgrade PHP or install cURL by chance?

  3. halluzineyt
    Member
    Posted 3 years ago #

    It will load a long time and will show "Plugin activated" but it wont be activated.

  4. maorb
    Member
    Posted 3 years ago #

    I get also an error after upgrading to 2.1.1.
    I have cUrl installed on my local XAMPP server and I get a timeout notifiction.

    Fatal error: Maximum execution time of 60 seconds exceeded in D:\xampp\htdocs\*****\wp-content\plugins\facebook-comments-for-wordpress\scripts\facebook.php on line 612

    Fatal error: Maximum execution time of 60 seconds exceeded in D:\xampp\htdocs\***\wp-includes\wp-db.php on line 561

    I checked line 612, this is the line that does the curl_exec

    I use WP3.0.5 and have PHP 5+ and cURL installed.

  5. we8u
    Member
    Plugin Author

    Posted 3 years ago #

    It's likely to do with running it locally. You'll probably also have problems with security certificates.

    I'm not sure what the specific problem is in this case, as I don't use xampp for local development. Perhaps it's blocking the connection? Do you have all the mod_proxy stuff set up?

    I'd try making a test file with a call to file_get_contents to see if the problem indeed is with polling an external server.

    shaun

  6. halluzineyt
    Member
    Posted 3 years ago #

    <?php if (function_exists('facebook_comments')) facebook_comments(); ?>

    Hello can you figure out why attaching this code to pages seems to be not working.?

    Any way version 2.1.2 is out now it fixed the issues about activating the plugin.

  7. maorb
    Member
    Posted 3 years ago #

    I updated to 2.1.2 but still can't activate the plugin, the same errors that I wrote above still appear.

    @we8u - How can I test the plugin locally? the previous version worked ok locally with no problems..

    I enabled in my local server the mod_proxy and mod_proxy_http, but it didn't solve the problem and same errors occur. Is there a need to configure somehow the mod_proxy beside just activating it? Anyway, the previous version of this plugin worked locally also without this module being loaded...

    About the test you suggested with file_get_content - which file should I try to fetch?
    Anyway, this plugin as I understood uses now cURL and not file_get_content.

  8. maorb
    Member
    Posted 3 years ago #

    Well, it my be a problem with local install of the plugin.
    I tried this plugin on a test site I have online (which is not on local XAMPP but on a server on the web).

    It takes about 30-40 seconds to activate the plugin, but it does activate and works.

    The question now is how can this plugin be activated and tested on a locally server (like XAMPP and others), since it must be tested on the site layout etc.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic